// JavaScript Document

function colorChange()
{

     document.getElementById('print_desc').value = document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].text;
     document.getElementById('paper_desc').value = document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].text;
     document.getElementById('paper_size').value = document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].text;
   
     if (document.getElementById('form_fold'))
     {
             document.getElementById('fold_desc').value = document.getElementById('form_fold').options[document.getElementById('form_fold').selectedIndex].text;
     }

     if (document.getElementById('form_finish'))
     {
             document.getElementById('finish_desc').value = document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].text;
     }

     if (document.getElementById('form_drill'))
     {
             document.getElementById('drill_desc').value = document.getElementById('form_drill').options[document.getElementById('form_drill').selectedIndex].text;
     }
        
     disableOptions();
     
     if ( checkFree() == 1)
     {
          document.getElementById('form_free_label').style.display = 'block';                                   
          
          document.getElementById('form_color_label_price').innerHTML = Number(0).toFixed(2);
          document.getElementById('form_paper_label_price').innerHTML = Number(0).toFixed(2);
          document.getElementById('form_finish_label_price').innerHTML = Number(0).toFixed(2);
          document.getElementById('form_pack_label_price').innerHTML = Number(0).toFixed(2);
          document.getElementById('form_total_label_price').innerHTML = Number(0).toFixed(2);
          
          document.getElementById('totcost').value = Number(0).toFixed(2);
     }
     else
     {
          document.getElementById('form_free_label').style.display = 'none';
          
          calcPrice();
     }
}

function disableOptions()
{   
     if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '1') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '21') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '23') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '31') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '32') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '34'))
     {
          if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].disabled == 'true')
          {
               document.getElementById('form_size').value='1';     
          }
          
          document.getElementById('form_size').options[0].disabled = false;
          document.getElementById('form_size').options[1].disabled = true;
          document.getElementById('form_size').options[2].disabled = false;
          document.getElementById('form_size').options[3].disabled = true;
          document.getElementById('form_size').options[4].disabled = true; 
     }     
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '2') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '3') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '4') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '5') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '6') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '7') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '8') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '9') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '10') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '11') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '12') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '13') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '14') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '16') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '17') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '18') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '19') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '20') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '22') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '24') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '25') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '26') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '27') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '28') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '33') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '35'))
     {
          if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].disabled == 'true')
          {
               document.getElementById('form_size').value='1';     
          }
          
          document.getElementById('form_size').options[0].disabled = false;
          document.getElementById('form_size').options[1].disabled = true;
          document.getElementById('form_size').options[2].disabled = true;
          document.getElementById('form_size').options[3].disabled = true;
          document.getElementById('form_size').options[4].disabled = true; 
     }

     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '15') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '29') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '30'))
     {
          if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].disabled == 'true')
          {
               document.getElementById('form_size').value='1';     
          }
          
          document.getElementById('form_size').options[0].disabled = false;
          document.getElementById('form_size').options[1].disabled = true;
          document.getElementById('form_size').options[2].disabled = false;
          document.getElementById('form_size').options[3].disabled = false;
          document.getElementById('form_size').options[4].disabled = true; 
     }
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '36') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '39') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '40'))
     {
          if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].disabled == 'true')
          {
               document.getElementById('form_size').value='3';     
          }
          
          document.getElementById('form_size').options[0].disabled = true;
          document.getElementById('form_size').options[1].disabled = true;
          document.getElementById('form_size').options[2].disabled = false;
          document.getElementById('form_size').options[3].disabled = false;
          document.getElementById('form_size').options[4].disabled = true; 
     }
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '37') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '38'))
     {
          if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].disabled == 'true')
          {
               document.getElementById('form_size').value='4';     
          }
          
          document.getElementById('form_size').options[0].disabled = true;
          document.getElementById('form_size').options[1].disabled = true;
          document.getElementById('form_size').options[2].disabled = true;
          document.getElementById('form_size').options[3].disabled = false;
          document.getElementById('form_size').options[4].disabled = true; 
     }
}     

function calcPrice()
{
     var totalPrice = 0;
     var finishPrice = 0;
     var itemPrice = 0;

     if (document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '1')
     {
          if ((document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '100') ||
               (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '500'))    
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.0225) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.02) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }          
     else if (document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '2')
     {
          if ((document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '100') ||
               (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '500'))    
          {
               itemPrice = (((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.0338) / 2) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = (((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.03) / 2) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     
     else if (document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '3')
     {
          if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '100')    
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.15) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.125) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     
     else if (document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '4')
     {
          if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '100')    
          {
               itemPrice = (((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.20) / 2) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = (((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.15) / 2) / document.getElementById('no_up').value);
               document.getElementById('form_color_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     
     if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '1')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.009) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;     
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.018) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;     
          }
     }     
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '2') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '3') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '4') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '5') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '6') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '7') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '8') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '9') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '10'))
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.014) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '11') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '12') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '13') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '14') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '16'))
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.027) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '15')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.014) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;     
          }
          else if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '3')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.03) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;     
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.034) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;     
          }
     }     
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '17') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '18') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '19') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '20') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '22'))
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.052) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '21')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.032) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.064) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;               
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '23')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.015) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.034) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;               
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '24')
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.032) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '25') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '26') ||
          (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '27'))
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.033) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '28')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.024) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.047) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;               
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '29')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.027) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '3')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.054) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.068) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;               
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '30')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.113) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '3')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.113) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.113) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;               
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '31')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.035) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.063) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '32')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.038) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.076) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '33')
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.038) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '34')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.04) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.081) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '35')
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.042) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '36')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '3')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.118) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.134) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '37')
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.185) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '38')
     {
          itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.355) / document.getElementById('no_up').value);
          document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '39')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '3')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.08) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.08) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }
     else if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '40')
     {
          if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '3')
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.132) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.132) / document.getElementById('no_up').value);
               document.getElementById('form_paper_label_price').innerHTML = Number(itemPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }

     if (document.getElementById('form_fold'))
     {
          if ((document.getElementById('form_fold').options[document.getElementById('form_fold').selectedIndex].value == '1'))
          {
               itemPrice = 0;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if ((document.getElementById('form_fold').options[document.getElementById('form_fold').selectedIndex].value == '2') ||
               (document.getElementById('form_fold').options[document.getElementById('form_fold').selectedIndex].value == '3'))     
          {
               itemPrice = document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.0015;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }          
     }
     
     if (document.getElementById('form_finish'))
     {
          if (document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].value == '1')    
          {
               itemPrice = 0;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if (document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].value == '2')    
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value) / 25) * 0.25;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if (document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].value == '3')
          {
               itemPrice = document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.01;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;               
          }
          else if (document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].value == '4')    
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value) / 50) * 0.25;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if (document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].value == '5')    
          {
               itemPrice = ((document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value) / 100) * 0.25;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
     }

     if (document.getElementById('form_drill'))
     {
          if ((document.getElementById('form_drill').options[document.getElementById('form_drill').selectedIndex].value == '1'))
          {
               itemPrice = 0;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }
          else if ((document.getElementById('form_drill').options[document.getElementById('form_drill').selectedIndex].value == '2') ||
               (document.getElementById('form_drill').options[document.getElementById('form_drill').selectedIndex].value == '3'))
          {
               itemPrice = document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.0025;
               finishPrice = finishPrice + itemPrice;
               document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
               totalPrice = totalPrice + itemPrice;
          }             
     }

     if ((document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '17') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '18') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '19') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '20') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '21') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '22') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '24') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '25') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '26') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '27') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '36') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '37') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '38') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '39') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '40') ||
         (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '41'))
     {          
          itemPrice = document.getElementById('cut_no').value * document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.01;
          finishPrice = finishPrice + itemPrice;
          document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;    
     }
     else
     {
          itemPrice = document.getElementById('cut_no').value * document.getElementById('page_cnt').value * document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value * 0.01;     
          finishPrice = finishPrice + itemPrice;
          document.getElementById('form_finish_label_price').innerHTML = Number(finishPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;    
     }
     
     if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '100')    
     {
          itemPrice = 0.20;
          document.getElementById('form_pack_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '500')
     {
          itemPrice = 1.00;
          document.getElementById('form_pack_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '1000')
     {
          itemPrice = 2.00;
          document.getElementById('form_pack_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '2500')
     {
          itemPrice = 3.00;
          document.getElementById('form_pack_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }
     else if (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '5000')
     {
          itemPrice = 4.00;
          document.getElementById('form_pack_label_price').innerHTML = Number(itemPrice).toFixed(2);
          totalPrice = totalPrice + itemPrice;
     }

     document.getElementById('form_total_label_price').innerHTML = Number(totalPrice).toFixed(2);
     document.getElementById('totcost').value = Number(totalPrice).toFixed(2);
}

function checkFree()
{
     var freeFlag = 0;
     var foldFlag = 0;
     var finishFlag = 0;
     var drillFlag = 0;

     if (document.getElementById('form_fold'))
     {
          foldFlag = 1
     }
     
     if (document.getElementById('form_finish'))
     {
          finishFlag = 1
     }
     
     if (document.getElementById('form_drill'))
     {
          drillFlag = 1
     }
     
     if ((document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '100') || (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '500') || (document.getElementById('form_qty').options[document.getElementById('form_qty').selectedIndex].value == '1000'))
     {
          if ((document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '1') || (document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '2'))
          {
               if (document.getElementById('form_paper').options[document.getElementById('form_paper').selectedIndex].value == '1')
               {
                    if (document.getElementById('form_size').options[document.getElementById('form_size').selectedIndex].value == '1')
                    {
                         if ((foldFlag == 0) || (document.getElementById('form_fold').options[document.getElementById('form_fold').selectedIndex].value == '1'))
                         {
                              if ((finishFlag == 0) || (document.getElementById('form_finish').options[document.getElementById('form_finish').selectedIndex].value == '1'))
                              {
                                   if ((drillFlag == 0) || (document.getElementById('form_drill').options[document.getElementById('form_drill').selectedIndex].value == '1'))
                                   {
                                        if (document.getElementById('cut_no').value == '0')
                                        {
                                             if ((document.getElementById('page_cnt').value == '1') || ((document.getElementById('page_cnt').value == '2') && (document.getElementById('form_color').options[document.getElementById('form_color').selectedIndex].value == '2')))
                                             {
                                                  if (document.getElementById('no_up').value == '1')
                                                  {
                                                       freeFlag = 1;     
                                                  }
                                             }
                                        }
                                   }
                              }
                         }
                    }
               }
          }
     }
     
     return freeFlag;
}